Naar hoofdinhoud gaan
GET
/
v1
/
monitors
/
{monitor_id}
/
events
Lijst Monitor Evenementen
curl --request GET \
  --url https://api.olostep.com/v1/monitors/{monitor_id}/events \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "run_id": "<string>",
      "created": 123,
      "changed": true,
      "summary": "<string>",
      "snapshot_url": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "total_count": 123
}

Autorisaties

Authorization
string
header
vereist

Bearer authenticatie header in de vorm Bearer , waar jouw auth token is.

Padparameters

monitor_id
string
vereist
Pattern: ^monitor_

Queryparameters

limit
integer
standaard:25
Vereist bereik: 1 <= x <= 100
cursor
string

Opaque cursor van next_cursor.

count_only
enum<string>

Wanneer waar, retourneert alleen { "total_count": N }.

Beschikbare opties:
true,
1

Respons

Evenementpagina of aantal.

data
object[]
has_more
boolean
next_cursor
string | null
total_count
integer